
*, ::after, ::before {
    box-sizing: border-box;
}

body {
  font-family: "Rubik", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  margin: 0;
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
  width: 100%;
  position: relative;
  overflow: hidden;
}
.animback {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}


@keyframes gradient {
  0% {
     background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.social-media-rain-widget {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.site-content {
    margin: 0px auto;
    padding: 0px 20px;
    position: relative;
    width: 500px;
    z-index: 1000;
    height: 100vh;
}
.login-page {
    position: relative;
    width: 100%;
    padding: 70px 0px;

}
.site-odliczanie {
    position: fixed;
    bottom: 15px;
    width: 460px;
    margin-top: 20px;
    padding: 10px 20px;
    border: 1px solid #ffffff;
    border-radius: 10px;
    display: flex;
    align-items: center;
    background: rgb(255 255 255 / 24%);
}
.odliczanie-name {
    flex: 1;
    font-size: 20px;
    padding-right: 10px;
}
.odliczanie-name span {
    display: block;
    font-weight: 600;
    color: #fff;
}
.odliczanie-item {
    flex: 0 0 70px;
    text-align: center;
}
.odliczanie-single {
    font-size: 30px;
    font-weight: 600;
    color: #270f0f;
}
.odliczanie-item span {
    font-size: 15px;
    color: #fff;
}

.login-box h2 {
    margin: 0;
    font-size: 45px;
}
.login-box p {
    margin: 0;
    font-size: 18px;
}
.password-box {
    margin-top: 15px;
    display: inline-block;
    position: relative;
}
#password-input {
    width: 300px;
    background: transparent;
    border: 1px solid #fff;
    box-shadow: none;
    padding: 10px 15px;
    border-radius: 20px;
    color: #fff;
    font-size: 18px;
    font-family: 'Rubik';
    font-weight: 500;
}

#password-input:focus, #password-input:hover, #password-input:active {
    box-shadow: none;
    border: border: 1px solid #fff;
    background: rgb(255 255 255 / 12%);
}

#password-input::placeholder { color: #fff; }

.password-box button {
    position: absolute;
    top: 50%;
    right: 6px;
    width: 34px;
    height: 34px;
    display: block;
    background: transparent;
    border-radius: 20px;
    transform: translateY(-50%);
    font-size: 34px;
    color: #efefef;
    box-shadow: none;
    border: none;
}
.password-box button::before {
    content: '\e800';
    font-family: 'ikonki';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.error-box { display: none; }
.error-message {
    margin-top: 10px;
    display: inline-block;
    background: #b60f0f;
    padding: 5px 15px;
    font-weight: 600;
    line-height: 1;
    font-size: 14px;
    color: #fff;
    border-radius: 10px;
}

.birthday-page {
  display: none;
  padding-top: 20px;
}

.quiz-container {
    position: relative;
    height: 100%;
    overflow: hidden;
}
.quiz-slide {
    padding: 50px 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    transition: transform .3s;
}
.quiz-slide.naprawo {
    transform: translateX(100%);
}
.quiz-slide.nalewo {
    transform: translateX(-100%);
}



.quiz-slide-title h2 {
    font-size: 30px;
    margin: 0px 0px 10px 0;
}
.quiz-slide-title p {
    font-size: 18px;
}
.quiz-slide-footer {
    text-align: left;
}
.quiz-slide-button {
    background: linear-gradient(45deg, #1717a3, #0c0973);
    display: inline-block;
    padding: 10px 20px;
    border-radius: 20px;
    color: #fff;
    font-weight: 500;
    cursor: pointer;
    transition: all .3s;
}
.quiz-slide-button:hover { opacity: .6; }
.odpowiedz.quiz-slide-button.quiz-slide-button-w {
    background: linear-gradient(45deg, #e8e8e8, #9998a3);
    color: #0e0b7c;
}
.quiz-img {
    margin-bottom: 10px;
}
.quiz-img img {
    width: 100%;
}

.zyczenia-boxb {
    border: 1px solid #c9c6c6;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 10px;
    background: #ffffff87;
}

.zyczenia-boxb span {
    display: block;
    text-align: right;
    font-weight: 600;
    font-size: 18px;
}
.quiz-slide.quiz-slide-12  {
    overflow-y: auto;
    height: 100%;
    padding-bottom: 200px;
}





      .icon {
        position: absolute;
        top: 0;
        width: 70px;
        height: 70px;
        background-size: contain;
        background-repeat: no-repeat;
        z-index: 10;
        animation: fall linear infinite;
      }

      /* Animation für fallende Icons */
      @keyframes fall {
        from {
          transform: translateY(-100px) rotate(0deg);
          opacity: 1;
        }
        to {
          transform: translateY(110vh) rotate(var(--rotate-angle, 0deg));
          opacity: 0.5;
        }
      }


@font-face {
  font-family: 'ikonki';
  src: url('./font/ikonki.eot?78820462');
  src: url('./font/ikonki.eot?78820462#iefix') format('embedded-opentype'),
       url('./font/ikonki.woff2?78820462') format('woff2'),
       url('./font/ikonki.woff?78820462') format('woff'),
       url('./font/ikonki.ttf?78820462') format('truetype'),
       url('./font/ikonki.svg?78820462#ikonki') format('svg');
  font-weight: normal;
  font-style: normal;
}


/* Media Queries für responsives Design */
@media (max-width: 768px) {
  .icon {
    width: 30px;
    height: 30px;
  }
}


@media (max-width: 991px) {

}

@media (max-width: 768px) {

}

@media (max-width: 500px) {
  .site-content {
    width: 100%;
  }
  .odliczanie-item { flex: 0 0 50px; }
  .odliczanie-single { font-size: 25px; }
  .odliczanie-item span { font-size: 13px; }
  .odliczanie-name { font-size: 19px; }
  .login-box h2 { font-size: 42px; }
  .site-odliczanie { width: calc(100% - 40px); }

}

@media (max-width: 425px) {

.site-odliczanie { padding: 7px 15px; }
    .odliczanie-name {
        font-size: 16px;
    }
    .odliczanie-single {
        font-size: 21px;
    }
.login-box h2 {
        font-size: 36px;
    }
.password-box, #password-input {
    width: 100%;
}

}

@media (max-width: 375px) {

.odliczanie-name {
        font-size: 13px;
    }
    .odliczanie-item {
        flex: 0 0 42px;
    }
.odliczanie-single { font-size: 19px; }
.odliczanie-item span { font-size: 13px; }
    .login-box h2 {
        font-size: 30px;
    }
.login-box p {
    font-size: 16px;
}
#password-input { font-size: 16px; }


}
